# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Errno.pm) perl(IO/Socket/INET.pm) perl(Sys/Hostname.pm) perl(Time/Local.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Net-FTPSSL
Version:        0.22
Release:        alt1_2
Summary:        Perl module for FTP over SSL/TLS
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Net-FTPSSL/
Source0:        http://www.cpan.org/authors/id/C/CL/CLEACH/Net-FTPSSL-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# According to Changes, v0.97 causes unspecified hang,
# but v1.08 is well tested. In el5 we have v1.01, dropping
# the v1.08 requirement that META.yml has.
BuildRequires:  perl(IO/Socket/SSL.pm)
BuildRequires:  perl(Net/SSLeay/Handle.pm)
BuildRequires:  perl(Test/More.pm)


Source44: import.info

%description
Net::FTPSSL is a class implementing a simple FTP client over a Secure
Sockets Layer (SSL) or Transport Layer Security (TLS) connection written in
Perl as described in RFC959 and RFC2228. It will use TLS by default.


%prep
%setup -q -n Net-FTPSSL-%{version}


%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*


%check
# "You can also perform a deeper test.
# Some information will be required for this test:
# A secure ftp server address, a user, a password and a directory
# where the user has permissions to read and write."
echo n |make test


%files
%doc Changes README
%{perl_vendor_privlib}/*


%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.22-alt1_2
- update to new release by fcimport

* Tue Oct 09 2012 Igor Vlasenko <viy@altlinux.ru> 0.22-alt1_1
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_9
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_7
- fc import

